Mobile phones installation requirements:
-camera
-Java with MIDP 2.0

Choose your phone type:
-Nokia
-Sony Erricson
-Motorola
-Siemens
-Samsung


If you can not find your phone in any list or a specific version is not available yet, please try the Basic version available here.